package domain

type AlibabaWdkMarketingFullrangeQueryitemActivitySkuQuery struct {
	/*
	   分页参数     */
	Page *AlibabaWdkMarketingFullrangeQueryitemBasePageQuery `json:"page,omitempty" `

	/*
	   商家活动id     */
	OutActId *string `json:"out_act_id,omitempty" `

	/*
	   查询指定的skucode     */
	SkuCodes *[]string `json:"sku_codes,omitempty" `

	/*
	   报名活动Id     */
	ActivityId *int64 `json:"activity_id,omitempty" `
}

func (s *AlibabaWdkMarketingFullrangeQueryitemActivitySkuQuery) SetPage(v AlibabaWdkMarketingFullrangeQueryitemBasePageQuery) *AlibabaWdkMarketingFullrangeQueryitemActivitySkuQuery {
	s.Page = &v
	return s
}
func (s *AlibabaWdkMarketingFullrangeQueryitemActivitySkuQuery) SetOutActId(v string) *AlibabaWdkMarketingFullrangeQueryitemActivitySkuQuery {
	s.OutActId = &v
	return s
}
func (s *AlibabaWdkMarketingFullrangeQueryitemActivitySkuQuery) SetSkuCodes(v []string) *AlibabaWdkMarketingFullrangeQueryitemActivitySkuQuery {
	s.SkuCodes = &v
	return s
}
func (s *AlibabaWdkMarketingFullrangeQueryitemActivitySkuQuery) SetActivityId(v int64) *AlibabaWdkMarketingFullrangeQueryitemActivitySkuQuery {
	s.ActivityId = &v
	return s
}
